Bug 1625906 - [RHEl7.6] google-noto-emoji fonts doesn't input color emoji
Summary: [RHEl7.6] google-noto-emoji fonts doesn't input color emoji
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: cairo
Version: 7.6
Hardware: All
OS: Linux
high
high
Target Milestone: rc
: ---
Assignee: Benjamin Otte
QA Contact: Desktop QE
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-09-06 08:27 UTC by Satyabrata Maitra
Modified: 2018-10-30 10:28 UTC (History)
9 users (show)

Fixed In Version: cairo-1.15.12-3.el7
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-10-30 10:27:34 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2018:3140 0 None None None 2018-10-30 10:28:22 UTC

Description Satyabrata Maitra 2018-09-06 08:27:43 UTC
Description of problem:
In RHEL7.6 when input with google-noto-emoji fonts, it neither shows nor print color emoji. It should work as expected.

Version-Release number of selected component (if applicable):
google-noto-emoji-fonts-20180508-4.el7
google-noto-emoji-color-fonts-20180508-4.el7

How reproducible:
Always

Steps to Reproduce:
1. Install RHEL7.6 Client/Workstation
2. launch/open gedit
3. In terminal run : ibus emoji
4. Switch focus back to gedit window
5. In "Emoji Choice" dialog box, select "Activities"
6. Observe the list of emoji being displayed
7. Select Click on any emoji you would like to input
8. Switch focus back to gedit window
9. Paste (CTRL+V) 
10 Observe the emoji input

Actual results:
The emoji are showing in black&white and also input is black&white

Expected results:
Emoji should appear in the list as color and also input should be color as well.

Additional info:

QE have verified bug #1582547 as it was intend to check if the same font has been added in RHEL7.6. And it got added, so we verified that.

Comment 2 Peng Wu 2018-09-07 07:06:41 UTC
I think cairo need to be compiled with rebased freetype to render the color emoji characters.

I just tried to re-compile cairo on RHEL 7.6 (2018-09-06),
and gedit show the color emoji characters correctly.

Comment 3 Peng Wu 2018-09-07 07:22:13 UTC
I think cairo need to be re-compiled with the current freetype to show the color emoji characters.

Comment 4 Peng Wu 2018-09-10 07:49:17 UTC
The freetype 2.8 has the FT_LOAD_COLOR macro defined, cairo need the FT_LOAD_COLOR macro to render color emoji characters.

Comment 6 Tomas Pelka 2018-09-10 12:56:03 UTC
Please retest with new rpm, thanks!

-Tom

Comment 7 Satyabrata Maitra 2018-09-10 13:14:26 UTC
Hi Tomas,

Sure. Thanks much for the update. We will test it.

Thank you Kalev for the quick fix. Thanks Libor for the blocker.

Comment 8 Parag Nemade 2018-09-10 13:36:38 UTC
had a quick check on this update and looks like we got now emojis in color to use.

Comment 11 errata-xmlrpc 2018-10-30 10:27:34 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2018:3140


Note You need to log in before you can comment on or make changes to this bug.